With this tutorial you will learn how to transform images in a S3 bucket using FaaS and Node JS.

Serverless Function can help you schedule automated transformation of all jpg or png pictures stored in an Object Storage Bucket.

# Requirements

- A Scaleway Account
- A Serverless Function namespace
- Two Object Storage Bucket (one which contains the source picture and the other for the destination pictures)
- You Scaleway API keys (to access the buckets)
- (Optional) Serverless Framework with Scaleway's Serverless Plugin

# Project Description

- This project is composed of two functions
- The first connect to the Source object storage and get all images file which it contains, then calls the second function to resize each image
- The second function get a specific image (whose name is passed through Http call), resize it and push it to a new bucket

# Create the ImageTransformation function

You can file the whole tutorial on Programmez

- Be careful to install sharp using _linuxmusl_ platform to ensure compatibility with scaleway's nodejs runtime

`npm install --platform=linuxmusl --arch=x64 sharp --ignore-script=false --save `

# Push the two Functions to Scaleway Serverless

Please refer to the Serverless Documentation to learn how to package and deploy your functions using [Serverless Framework](https://www.scaleway.com/en/docs/compute/functions/api-cli/fun-uploading-with-serverless-framework/) or a [Zip file](https://www.scaleway.com/en/docs/compute/functions/how-to/package-function-in-zip/).
